<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>
<?php
	return array(
		'title' => __('Re pick settings', 'rehubchild'),
		'name' => 'menu_pick',
		'icon' => 'font-awesome:fa-microchip',
		'controls' => array(
			array(
				'type' => 'section',
				'title' => __('Common options', 'rehubchild'),
				'fields' => array(
					array(
						'type' => 'toggle',
						'name' => 'repick_white',
						'label' => __('Enable this option if you use white background', 'rehubchild'),
						'default' => '0',
					),					
					array(
						'type' => 'select',
						'name' => 'rehub_grid_images',
						'label' => __('Select Image size in grid', 'rehubchild'),
						'items' => array(
							array(
								'value' => 'contain',
								'label' => __('Images contain full container', 'rehubchild'),
							),
							array(
								'value' => 'center',
								'label' => __('Full images without crop', 'rehubchild'),
							),														
						),
							'default' => array(
							'contain',
						),
					),							

					array(
						'type' => 'multiselect',
						'name' => 'rehub_grid_ad_count',
						'label' => __('Add ads code after each N item in grid', 'rehubchild'),
						'items' => array(
							array(
								'value' => '1',
								'label' => 1,
							),
							array(
								'value' => '2',
								'label' => 2,
							),																
							array(
								'value' => '3',
								'label' => 3,
							),
							array(
								'value' => '4',
								'label' => 4,
							),
							array(
								'value' => '5',
								'label' => 5,
							),
							array(
								'value' => '6',
								'label' => 6,
							),
							array(
								'value' => '7',
								'label' => 7,
							),
							array(
								'value' => '8',
								'label' => 8,
							),
							array(
								'value' => '9',
								'label' => 9,
							),
							array(
								'value' => '10',
								'label' => 10,
							),																																																																					
						),								
					),
					array(
						'type' => 'textarea',
						'name' => 'rehub_grid_ads_code',
						'label' => __('Ads code to insert in grid item', 'rehubchild'),
						'description' => __('Enter your Analytics code or any html, js code', 'rehubchild'),
					),	
					array(
						'type' => 'textarea',
						'name' => 'rehub_grid_ads_desc',
						'label' => __('Set descriptions for item with ads.', 'rehubchild'),
						'description' => __('Add simple text, each text stroke from next line. Text will be used randomly', 'rehubchild'),
					),						
					array(
						'type' => 'textbox',
						'name' => 'rehub_amazon_btn',
						'label' => __('Specify text for search link for Amazon', 'rehubchild'),
						'description' => __('This is used in top offer block', 'rehubchild'),
					),	
					array(
						'type' => 'textbox',
						'name' => 'rehub_amazon_surl',
						'label' => __('Specify generated search url for Amazon', 'rehubchild'),
						'description' => __('You can copy it from url generator on amazon. Link must be without keywords parameter. Example http://www.amazon.com/gp/search?ie=UTF8&camp=1789&creative=9325&index=aps&linkCode=ur2&tag=wpsoul-20', 'rehubchild'),
					),	
					array(
						'type' => 'textbox',
						'name' => 'rehub_ebay_surl',
						'label' => __('Specify generated search url for Ebay', 'rehubchild'),
						'description' => __('You can copy it from url generator on ebay. Link must be without icep_uq parameter. Example http://rover.ebay.com/rover/1/711-53200-19255-0/1?icep_ff3=9&toolid=10001&campid=5337368100&customid=&icep_sellerId=&icep_ex_kw=&icep_sortBy=12', 'rehubchild'),
					),											
					array(
						'type' => 'textbox',
						'name' => 'rehub_ebay_btn',
						'label' => __('Specify text for search link for Ebay', 'rehubchild'),
						'description' => __('This is used in top offer block', 'rehubchild'),
					),							
					array(
						'type' => 'toggle',
						'name' => 'aff_link_image',
						'label' => __('Make link from image to affiliate post instead link to post', 'rehubchild'),
						'default' => '0',
					),	
					array(
						'type' => 'toggle',
						'name' => 'aff_link_title',
						'label' => __('Make link from title to affiliate post instead link to post', 'rehubchild'),
						'default' => '0',
					),											    					   																																																				
				),
			),	
		),
	);

/**
 *EOF
 */